sgdk: vdp_dma.h File Reference

sgdk

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Defines | Functions
vdp_dma.h File Reference

VDP DMA support. More...

Go to the source code of this file.

## Defines

#define | VDP_DMA_VRAM 0
| VRAM location for DMA operation.
#define | VDP_DMA_CRAM 1
| CRAM location for DMA operation.
#define | VDP_DMA_VSRAM 2
| VSRAM location for DMA operation.
#define | VDP_doVRamDMA(from, to, len) VDP_doDMA(VDP_DMA_VRAM, from, to, len)
#define | VDP_doCRamDMA(from, to, len) VDP_doDMA(VDP_DMA_CRAM, from, to, len)
#define | VDP_doVSRamDMA(from, to, len) VDP_doDMA(VDP_DMA_VSRAM, from, to, len)

## Functions

void | VDP_doDMAEx (u8 location, u32 from, u16 to, u16 len, s16 vramStep)
void | VDP_doDMA (u8 location, u32 from, u16 to, u16 len)
void | VDP_doVRamDMAFill (u16 to, u16 len, u8 value)
void | VDP_doVRamDMACopy (u16 from, u16 to, u16 len)

## Detailed Description

VDP DMA support.

Author:
  Stephane Dallongeville

Date:
  08/2011

Deprecated:
  Use dma.h unit instead

This unit provides methods to use the VDP DMA capabilities.

## Define Documentation

#define VDP_doCRamDMA | ( |  | from,
|  |  | to,
|  |  | len
| ) |  | VDP_doDMA(VDP_DMA_CRAM, from, to, len)

Deprecated:
  Use DMA_xxx methods instead

#define VDP_doVRamDMA | ( |  | from,
|  |  | to,
|  |  | len
| ) |  | VDP_doDMA(VDP_DMA_VRAM, from, to, len)

Deprecated:
  Use DMA_xxx methods instead

#define VDP_doVSRamDMA | ( |  | from,
|  |  | to,
|  |  | len
| ) |  | VDP_doDMA(VDP_DMA_VSRAM, from, to, len)

Deprecated:
  Use DMA_xxx methods instead

## Function Documentation

void VDP_doDMA | ( | u8 | location,
|  | u32 | from,
|  | u16 | to,
|  | u16 | len
| ) |  |

Deprecated:
  Use DMA_xxx methods instead

void VDP_doDMAEx | ( | u8 | location,
|  | u32 | from,
|  | u16 | to,
|  | u16 | len,
|  | s16 | vramStep
| ) |  |

Deprecated:
  Use DMA_xxx methods instead

void VDP_doVRamDMACopy | ( | u16 | from,
|  | u16 | to,
|  | u16 | len
| ) |  |

Deprecated:
  Use DMA_xxx methods instead

void VDP_doVRamDMAFill | ( | u16 | to,
|  | u16 | len,
|  | u8 | value
| ) |  |

Deprecated:
  Use DMA_xxx methods instead

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines